Bug 1409873

Summary: pulling images from gcr.io fails
Product: [Fedora] Fedora Reporter: Dusty Mabe <dustymabe>
Component: dockerAssignee: Antonio Murdaca <amurdaca>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: adimania, admiller, amurdaca, derek, dwalsh, ichavero, jcajka, jchaloup, lsm5, marianne, miminar, nalin, riek, tru, vbatts
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: docker-1.12.5-4.git03508cc.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-05 20:22:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dusty Mabe 2017-01-03 16:53:04 UTC
Description of problem:

Can't pull an image from gcr.io:

```
-bash-4.3# docker pull gcr.io/google_containers/pause-amd64:3.0                                                                                                                                                   
Trying to pull repository gcr.io/google_containers/pause-amd64 ... 
Unimplemented: WWW-Authenticate Bearer replaced by "basic"
```

Pulling from docker hub works fine:

```
-bash-4.3# docker run busybox 
Unable to find image 'busybox:latest' locally
Trying to pull repository docker.io/library/busybox ... 
sha256:f102731ae8898217038060081c205aa3a4ae3f910c2aaa7b3adeb6da9841d963: Pulling from docker.io/library/busybox
fdab12439263: Pull complete 
Digest: sha256:f102731ae8898217038060081c205aa3a4ae3f910c2aaa7b3adeb6da9841d963
Status: Downloaded newer image for docker.io/busybox:latest
```


Version-Release number of selected component (if applicable):
docker-1.12.5-3.git079fbe3.fc25.x86_64

How reproducible:
Always

Comment 1 Antonio Murdaca 2017-01-03 17:08:00 UTC
Dusty, any way you can try out with upstream docker (instead of projectatomic/docker)?

Comment 2 Antonio Murdaca 2017-01-03 18:21:10 UTC
Nvm, fixed in https://github.com/containers/image/pull/195 - after that's merged I'll rebuild docker.

Comment 3 Daniel Walsh 2017-01-03 19:37:45 UTC
We will need a new build for RHEL as well.

Comment 4 Lokesh Mandvekar 2017-01-03 20:05:37 UTC
I'll clone this bug and rebuild for rhel once the PR is merged.

Comment 5 Tru Huynh 2017-01-04 08:22:13 UTC
FYI: works fine for me on C7

[tru@hpe840g1-1 ~]$ sudo docker pull gcr.io/google_containers/pause-amd64:3.0    
Trying to pull repository gcr.io/google_containers/pause-amd64 ... 
3.0: Pulling from gcr.io/google_containers/pause-amd64
a3ed95caeb02: Pull complete 
f11233434377: Pull complete 
Digest: sha256:163ac025575b775d1c0f9bf0bdd0f086883171eb475b5068e7defa4ca9e76516
Status: Downloaded newer image for gcr.io/google_containers/pause-amd64:3.0
[tru@hpe840g1-1 ~]$ rpm -q docker
docker-1.10.3-59.el7.centos.x86_64
[tru@hpe840g1-1 ~]$ sudo docker images gcr.io/google_containers/pause-amd64
REPOSITORY                             TAG                 IMAGE ID            CREATED             SIZE
gcr.io/google_containers/pause-amd64   3.0                 99e59f495ffa        8 months ago        746.9 kB

Comment 6 Fedora Update System 2017-01-05 09:59:42 UTC
docker-1.12.5-4.git03508cc.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e856fcc7db

Comment 7 Fedora Update System 2017-01-05 20:22:31 UTC
docker-1.12.5-4.git03508cc.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.